﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\DHC_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_DHC_BILLCLASSIFY', 'T_DHC_BILLCLASSIFY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DHC_BILLCLASSIFY') CREATE INDEX IDX_DHC_BILLCLASSIFY ON T_DHC_BILLCLASSIFY ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_DHC_BILLCLASSIFY_L', 'T_DHC_BILLCLASSIFY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DHC_BILLCLASSIFY_L_ID') CREATE INDEX IDX_DHC_BILLCLASSIFY_L_ID ON T_DHC_BILLCLASSIFY_L ( FID );


 EXEC P_ALTERPK 'PK_T_DHC_BILLIDENTRY', 'T_DHC_BILLIDENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DHC_BILLIDENTRY_ID') CREATE INDEX IDX_DHC_BILLIDENTRY_ID ON T_DHC_BILLIDENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_DHC_BILLSUBJECT', 'T_DHC_BILLSUBJECT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DHC_BILLSUBJECT_BILLNUMBER') CREATE INDEX IDX_DHC_BILLSUBJECT_BILLNUMBER ON T_DHC_BILLSUBJECT ( FBILLNUMBER );


 EXEC P_ALTERPK 'PK_T_DHC_BILLSUBJECT_L', 'T_DHC_BILLSUBJECT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DHC_BILLSUBJECT_L_ID') CREATE INDEX IDX_DHC_BILLSUBJECT_L_ID ON T_DHC_BILLSUBJECT_L ( FID );


 EXEC P_ALTERPK 'PK_T_DHC_OPERATION', 'T_DHC_OPERATION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DHC_OPERATION_BINDBILL') CREATE INDEX IDX_DHC_OPERATION_BINDBILL ON T_DHC_OPERATION ( FBINDBILL );


 EXEC P_ALTERPK 'PK_T_DHC_SUBJECTENTRY', 'T_DHC_SUBJECTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DHC_SUBJECTENTRY_ID') CREATE INDEX IDX_DHC_SUBJECTENTRY_ID ON T_DHC_SUBJECTENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_DHC_MYBILLLIST', 'T_DHC_MYBILLLIST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DHC_MYBILLLIST_BILLNO') CREATE INDEX IDX_DHC_MYBILLLIST_BILLNO ON T_DHC_MYBILLLIST ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DHC_MYBILLLIST_BILLID') CREATE INDEX IDX_DHC_MYBILLLIST_BILLID ON T_DHC_MYBILLLIST ( FBILLID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DHC_MYBILLLIST_APPLICANT') CREATE INDEX IDX_DHC_MYBILLLIST_APPLICANT ON T_DHC_MYBILLLIST ( FAPPLICANT );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DHC_MYBILLLIST_CREATORID') CREATE INDEX IDX_DHC_MYBILLLIST_CREATORID ON T_DHC_MYBILLLIST ( FCREATORID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\DHC_constraint.sql **/
