﻿/**Begin D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\DHC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DHC_INQUIRYBILL') 
 CREATE TABLE T_DHC_INQUIRYBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FDEPT BIGINT DEFAULT 0 NOT NULL,
FPOSITION NVARCHAR(80) DEFAULT ' ' NOT NULL,
FAPPLYDATE DATETIME,
FQUESTIONTYPEID BIGINT DEFAULT 0 NOT NULL,
FQUESTIONSUBTYPEID BIGINT DEFAULT 0 NOT NULL,
FQUESTIONDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FQUESTIONREPLY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DHC_INQUIRYBILL_L') 
 CREATE TABLE T_DHC_INQUIRYBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FPOSITION NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DHC_KNOWLEDGE_ADD') 
 CREATE TABLE T_DHC_KNOWLEDGE_ADD (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FINQUIRYBILLID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DHC_KNOWLEDGE_ENTRY') 
 CREATE TABLE T_DHC_KNOWLEDGE_ENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAREAID BIGINT DEFAULT 0 NOT NULL,
FSUBJECTID BIGINT DEFAULT 0 NOT NULL,
FKNOWLEDGEID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\DHC_table.sql **/
