﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\DHC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DHC_BILLCLASSIFY') 
 CREATE TABLE T_DHC_BILLCLASSIFY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FSTATUS NCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FENABLE NCHAR(1) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DHC_BILLCLASSIFY_L') 
 CREATE TABLE T_DHC_BILLCLASSIFY_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DHC_BILLIDENTRY') 
 CREATE TABLE T_DHC_BILLIDENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBILL NVARCHAR(36) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DHC_BILLSUBJECT') 
 CREATE TABLE T_DHC_BILLSUBJECT (
FID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLNUMBER NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FENABLE NCHAR(1) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSTATUS NCHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DHC_BILLSUBJECT_L') 
 CREATE TABLE T_DHC_BILLSUBJECT_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DHC_OPERATION') 
 CREATE TABLE T_DHC_OPERATION (
FID BIGINT DEFAULT 0 NOT NULL,
FBINDBILL NVARCHAR(36) DEFAULT ' ' NOT NULL,
FOPERATIONNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FOPERATIONNUMBER NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DHC_SUBJECTENTRY') 
 CREATE TABLE T_DHC_SUBJECTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPRETEXT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FRULEFIELDID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPOSTTEXT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMARK NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DHC_MYBILLLIST') 
 CREATE TABLE T_DHC_MYBILLLIST (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FBILLKIND BIGINT DEFAULT 0 NOT NULL,
FBILL NVARCHAR(36) DEFAULT ' ' NOT NULL,
FREIMBURSESTATUS NCHAR(1) DEFAULT ' ' NOT NULL,
FBUSINESSSTATUS NVARCHAR(18) DEFAULT ' ' NOT NULL,
FBILLSUBJECT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBILLSTATUS NCHAR(1) DEFAULT ' ' NOT NULL,
FBILLSTATUSEXT NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCURRENTDEALER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FIMAGESTATUS NCHAR(1) DEFAULT ' ' NOT NULL,
FAPPLICANT BIGINT DEFAULT 0 NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FIMAGEUPDATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL
);


 --- drop TABLE --------- 不允许删除表TABLES，请恢复pdm ------------------- 

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\DHC_table.sql **/
